### Method

# Gtk MediaFile set_filename

#### Declaration [src]

    void
    gtk_media_file_set_filename (
      GtkMediaFile* self,
      const char* filename
    )

#### Description [src]

Sets the `GtkMediaFile to play the given file.

This is a utility function that converts the given `filename` to a `GFile` and calls gtk_media_file_set_file().

#### Parameters

`filename` | `const char*`
| Name of file to play.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.